function [] = showAboutBox()

% Copyright 2015 Kimmo Kartasalo
% Tampere University of Technology, Tampere, Finland
% http://www.tut.fi/cytospectre
% Email: kimmo.kartasalo@tut.fi
% 
% This file is part of CytoSpectre.
% 
% CytoSpectre is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% CytoSpectre is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with CytoSpectre.  If not, see <http://www.gnu.org/licenses/>.

defaultBackground = get(0,'defaultUicontrolBackgroundColor');
aboutfigure = figure('Name','About CytoSpectre','NumberTitle','off','MenuBar','none','Color',defaultBackground,'Visible','Off');

licensestr = {'CytoSpectre 1.0, Copyright (c) 2015 Kimmo Kartasalo, Tampere University of Technology';
'MATLAB(r). (c) 1984 - 2014 The MathWorks, Inc.';
'Circular Statistics Toolbox for Matlab, Copyright (c) 2011, Philipp Berens. All rights reserved.';
'';
'By using CytoSpectre, you agree to the terms of the disclaimer below, the Matlab Compiler Runtime (MCR) libraries license, applicable parts of The MathWorks, Inc. Software License Agreement and the Circular Statistics Toolbox for Matlab license. See the files MCR_license.txt, MATLAB_license.txt and CircStats_license.txt, provided with the installation package, for details. Using CytoSpectre for commercial purposes is prohibited. See The MathWorks, Inc. Software License Agreement - Academic Installation and Use Addendum for details.';
'';
'THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. MATHWORKS AND ITS LICENSORS ARE EXCLUDED FROM ALL LIABILITY FOR DAMAGES OR ANY OBLIGATION TO PROVIDE REMEDIAL ACTIONS.';
'';
'Contact:';
'http://www.tut.fi/cytospectre';
'Email: kimmo.kartasalo@tut.fi'};

abouttxt = uicontrol(aboutfigure,'Style','text','String',licensestr,'units','normalized','position',[0.05 0.05 0.9 0.9],'HorizontalAlignment','left');
set(aboutfigure,'Visible','On');
